{% extends "base.html" %}
{% load static %}
{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">


{% endblock css %}

{% block title %}

<h1>Empresas registradas</h1>

{% endblock title %}


{% block content %}

{% if empresa_existe == "ok" %}
<div class="alert alert-warning" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
	<strong>Empresa Existe!</strong> La Empresa que intenta crear ya existe.
</div>
{% elif empresa_existe == "none" %}
<div class="alert alert-success" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
	<strong>Empresa Creada!</strong> La Empresa fue creada con éxito.
</div>
{% endif %}

{% if encargado_existe_en_empresa == "ok" %}
<div class="alert alert-success" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
	<strong>Encargado Existe!</strong>  El encargado ya existe y se encuentra vinculado a la empresa.
</div>
{% elif encargado_existe_en_empresa == "none" %}
<div class="alert alert-success" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
	<strong>Encargado Creado</strong> El encargado fue creado con éxito.
</div>
{% endif %}


<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Empresas</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<button data-toggle="modal" data-target="#modalAgregar" class="btn btn-block btn-success"><i class="fa fa-plus"></i> Agregar Empresa</button>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center" style="vertical-align:middle">Nombre Empresa</th>
								<th class="text-center" style="vertical-align:middle">Rut Empresa</th>
								<th class="text-center" style="vertical-align:middle">Cantidad de Encargados</th>
								<th class="text-center" style="vertical-align:middle">Cantidad de Practicantes</th>
								<th class="text-center" style="vertical-align:middle">Acciones</th>
							</thead>
							<tbody>
								{% for x in empresas %}
								<tr>
									<td class="text-center" style="vertical-align:middle">{{x.nombre}}</td>
									<td class="text-center" style="vertical-align:middle">{{x.rut}}</td>
									<td class="text-center" style="vertical-align:middle">{{x.funcionarios.all.count}}</td>
									<td class="text-center" style="vertical-align:middle">{{x.solicitud_practica_set.all.count}}</td>
									<td class="text-center" style="vertical-align:middle">
										<button class="btn btn-warning btn-sm"><i class="fa fa-eye"></i> Ver Detalles</button>
									</td>
								</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- modal block -->

        <div class="modal fade" id="modalAgregar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 style="color:white;" class="text-center" id="titulo-proyecto">Nueva Empresa</h1>
            </div>
            <div class="modal-body">
            <form action="{% url 'crud_empresas' %}" method="post">
            {% csrf_token %}
            	<div class="row">
            		<div class="col-md-12">
            			<div class="form-group">
            				<label for="nombre_empresa" class="control-label">Nombre Empresa:</label>
            				<input type="text" id="nombre_empresa" name="nombre_empresa" class="form-control">
            			</div>
            		</div>
            	</div>
            	<div class="row">
            		<div class="col-md-12">
            			<div class="form-group">
            				<label for="nombre_empresa" class="control-label">Rut Empresa:</label>
            				<input type="text" id="rut_empresa" name="rut_empresa" class="form-control">
            			</div>
            		</div>
            	</div>
            	<div class="row">
            		<div class="col-md-12">
            			<div class="form-group">
            				<label for="nombre_empresa" class="control-label">Nombre Encargado Empresa:</label>
            				<input type="text" id="nombre_encargado_empresa" name="nombre_encargado_empresa" class="form-control">
            			</div>
            		</div>
            	</div>
            	<div class="row">
            		<div class="col-md-12">
            			<div class="form-group">
            				<label for="nombre_empresa" class="control-label">Rut Encargado Empresa:</label>
            				<input type="text" id="rut_encargado_empresa" name="rut_encargado_empresa" class="form-control">
            			</div>
            		</div>
            	</div>
            	<div class="row">
            		<div class="col-md-12">
            			<div class="form-group">
            				<label for="nombre_empresa" class="control-label">Correo Encargado Empresa:</label>
            				<input type="text" id="correo_encargado_empresa" name="correo_encargado_empresa" class="form-control">
            			</div>
            		</div>
            	</div>
            </div>
            <div class="modal-footer">
             <div class="row">
             	<div class="col-md-6">
             		<button type="submit" class="btn btn-success btn-block"><i class="fa fa-check"></i> Confirmar</button>
             	</div>
             	</form>
             	<div class="col-md-6">
					<button type="button" data-dismiss="modal" class="btn btn-block btn-danger"><i class="fa fa-times"></i> Cerrar</button>
             	</div>
             </div>
            </div>
            </div>
          </div>
        </div>

<!-- end modal block -->


{% endblock content %}


{% block javascript %}


{% endblock javascript %}